#include <xvt.h>
#include <checks.h>

#include "773.h"  

#define usage   "Error - usage : %s -{0|1|2|3}"

int main(int argc,char** argv)
{
  int n = (argc > 1) ? atoi(argv[1]+1) : -1;

  switch (n)
  {
  case 0:
    m73100(argc,argv) ; break;
  case 1:
    generic(argc,argv) ; break;
  case 2:
    quadriN_T(argc,argv) ; break;
  case 3:
    m73400(argc,argv) ; break;
  case 4:
    quadriB_B1(argc,argv) ; break;
  default:
    error_box(usage, argv[0]) ;
  }
  return 0;
}
